input_release_device
Prev | Chapter 25. Input Subsystem | Next

## Name

input_release_device — release previously grabbed device

## Synopsis

`void input_release_device (` | struct input_handle * | handle`)`;

## Arguments

`handle`

  input handle that owns the device

## Description

Releases previously grabbed device so that other input handles can start receiving input events. Upon release all handlers attached to the device have their `start` method called so they have a change to synchronize device state with the rest of the system.

Prev | Up | Next
input_grab_device | Home | input_open_device